/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.actions;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import es.uoc.maf.core.enums.ActionResults;
import es.uoc.maf.framework.action.BaseAction;

/**
 * The Class LogoutAction.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class LogoutAction extends BaseAction {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(LogoutAction.class);
	
	/* (non-Javadoc)
	 * @see es.uoc.maf.framework.action.BaseAction#execute()
	 */
	@Override
	public String execute() {
		LOG.debug("LogoutAction.execute()...");
		getActionContext().getSession().invalidate();
		return ActionResults.OK.name();
	}
	
}
