/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.forms;

import es.uoc.maf.core.action.utils.ActionContext;
import es.uoc.maf.core.form.FormError;
import es.uoc.maf.core.locale.I18N;
import es.uoc.maf.framework.form.BaseFormBean;

/**
 * The Class MovimientosForm.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class MovimientosForm extends BaseFormBean {

	/** The id cuenta. */
	private int idCuenta = -1;

	/**
	 * Gets the id cuenta.
	 * 
	 * @return the id cuenta
	 */
	public int getIdCuenta() {
		return idCuenta;
	}

	/**
	 * Sets the id cuenta.
	 * 
	 * @param idCuenta
	 *            the new id cuenta
	 */
	public void setIdCuenta(int idCuenta) {
		this.idCuenta = idCuenta;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.framework.form.BaseFormBean#reset()
	 */
	@Override
	public void reset() {
		this.idCuenta = -1;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.framework.form.BaseFormBean#validate()
	 */
	@Override
	public void validate() {
		if (this.idCuenta == -1) {
			super.addError(new FormError("idCuenta", I18N.getString(MovimientosForm.class, "idCuenta.invalido", ActionContext.getLocale())));
		}
	}

	
}
