/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao;

import java.io.Serializable;
import java.util.List;

/**
 * The Interface GenericDAO.
 * 
 * @param <PK>
 *            the generic type
 * @param <Entidad>
 *            the generic type
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface GenericDAO<PK extends Serializable, Entidad> {
	
	/**
	 * Find by id.
	 * 
	 * @param id
	 *            the id
	 * @return the entidad
	 */
	public Entidad findById(PK id);
	
	/**
	 * Find all.
	 * 
	 * @return the list
	 */
	public List<Entidad> findAll();
	
	/**
	 * Save.
	 * 
	 * @param entidad
	 *            the entidad
	 * @return the entidad
	 */
	public Entidad save(Entidad entidad);
	
	/**
	 * Delete.
	 * 
	 * @param entidad
	 *            the entidad
	 */
	public void delete(Entidad entidad);
	
}
