/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao;

import java.util.List;

import es.uoc.maf.ejemplo.model.dao.vo.CuentaVO;
import es.uoc.maf.ejemplo.model.dao.vo.TransferenciaVO;

/**
 * The Interface TransferenciaDAO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface TransferenciaDAO extends GenericDAO<Integer, TransferenciaVO> {

	/**
	 * Find by id cuenta.
	 * 
	 * @param idCuenta
	 *            the id cuenta
	 * @return the list
	 */
	List<TransferenciaVO> findByIdCuenta(int idCuenta);
	
	/**
	 * Creates the.
	 * 
	 * @param origen
	 *            the origen
	 * @param destino
	 *            the destino
	 * @param cantidad
	 *            the cantidad
	 * @return the transferencia vo
	 */
	TransferenciaVO create(CuentaVO origen, CuentaVO destino, double cantidad);
}
