/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.impl;

import java.util.List;

import org.hibernate.criterion.Restrictions;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import es.uoc.maf.ejemplo.model.dao.CuentaDAO;
import es.uoc.maf.ejemplo.model.dao.vo.CuentaVO;

/**
 * The Class CuentaDAOImpl.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
class CuentaDAOImpl extends GenericDAOImpl<Integer, CuentaVO> implements CuentaDAO {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(CuentaDAOImpl.class);
	
	/* (non-Javadoc)
	 * @see es.uoc.maf.ejemplo.model.dao.CuentaDAO#findCuentasUsuario(int)
	 */
	public List<CuentaVO> findCuentasUsuario(int idUsuario) {
		LOG.debug("Buscando cuentas de usuario con id {}",idUsuario);
		return findByCriteria(Restrictions.eq("titular.id", idUsuario));
	}

}
