/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.impl;

import es.uoc.maf.ejemplo.model.dao.CuentaDAO;
import es.uoc.maf.ejemplo.model.dao.TransferenciaDAO;
import es.uoc.maf.ejemplo.model.dao.UsuarioDAO;

/**
 * The Class DAOUtils.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class DAOUtils {
	
	/**
	 * Instantiates a new dAO utils.
	 */
	private DAOUtils() {
	}

	/**
	 * Gets the usuario dao.
	 * 
	 * @return the usuario dao
	 */
	public static UsuarioDAO getUsuarioDAO() {
		return new UsuarioDAOImpl();
	}

	/**
	 * Gets the cuenta dao.
	 * 
	 * @return the cuenta dao
	 */
	public static CuentaDAO getCuentaDAO() {
		return new CuentaDAOImpl();
	}

	/**
	 * Gets the transferencia dao.
	 * 
	 * @return the transferencia dao
	 */
	public static TransferenciaDAO getTransferenciaDAO() {
		return new TransferenciaDAOImpl();
	}
	
}
