/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.impl;

import java.util.List;

import org.hibernate.criterion.Restrictions;

import es.uoc.maf.ejemplo.model.dao.UsuarioDAO;
import es.uoc.maf.ejemplo.model.dao.vo.UsuarioVO;

/**
 * The Class UsuarioDAOImpl.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
class UsuarioDAOImpl extends GenericDAOImpl<Integer, UsuarioVO> implements UsuarioDAO {

	/* (non-Javadoc)
	 * @see es.uoc.maf.ejemplo.model.dao.UsuarioDAO#findByCodigo(java.lang.String)
	 */
	public UsuarioVO findByCodigo(String codigo) {
		List<UsuarioVO> lista = super.findByCriteria(Restrictions.eq("codigo", codigo));
		return lista == null || lista.isEmpty() ? null : lista.get(0);
	}

}
