/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.utils;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * The Class HibernateUtils.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class HibernateUtils {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(HibernateUtils.class);
	
	/** The Constant sessionFactory. */
	private static final SessionFactory sessionFactory;

	/**
	 * Instantiates a new hibernate utils.
	 */
	private HibernateUtils() {
	}

	static {
		try {
			sessionFactory = new Configuration().configure().buildSessionFactory();
			
		} catch (Throwable e) {
			LOG.error("Error creando SessionFactory", e);
			throw new ExceptionInInitializerError(e);
		}
	}

	/**
	 * Gets the session factory.
	 * 
	 * @return the session factory
	 */
	public static SessionFactory getSessionFactory() {
		return sessionFactory;
	}
}
