/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.vo;

import java.io.Serializable;

/**
 * The Class BaseVO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public abstract class BaseVO implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -8152763912658668332L;

	/** The id. */
	private int id = -1;

	/**
	 * Gets the id.
	 * 
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * Sets the id.
	 * 
	 * @param id
	 *            the new id
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * Checks if is new.
	 * 
	 * @return true, if is new
	 */
	public boolean isNew() {
		return this.id <= 0;
	}
}
