/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.vo;

import org.apache.commons.lang3.StringUtils;

/**
 * The Class CuentaVO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class CuentaVO extends BaseVO {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 3913077534585393661L;

	/** The entidad. */
	private int entidad;
	
	/** The oficina. */
	private int oficina;
	
	/** The dc. */
	private int dc;
	
	/** The cuenta. */
	private long cuenta;
	
	/** The titular. */
	private UsuarioVO titular;
	
	/** The saldo. */
	private double saldo;
	
	/** The saldo inicial. */
	private double saldoInicial;
	
	/**
	 * Gets the entidad.
	 * 
	 * @return the entidad
	 */
	public int getEntidad() {
		return entidad;
	}
	
	/**
	 * Sets the entidad.
	 * 
	 * @param entidad
	 *            the new entidad
	 */
	public void setEntidad(int entidad) {
		this.entidad = entidad;
	}
	
	/**
	 * Gets the oficina.
	 * 
	 * @return the oficina
	 */
	public int getOficina() {
		return oficina;
	}
	
	/**
	 * Sets the oficina.
	 * 
	 * @param oficina
	 *            the new oficina
	 */
	public void setOficina(int oficina) {
		this.oficina = oficina;
	}
	
	/**
	 * Gets the dc.
	 * 
	 * @return the dc
	 */
	public int getDc() {
		return dc;
	}
	
	/**
	 * Sets the dc.
	 * 
	 * @param dc
	 *            the new dc
	 */
	public void setDc(int dc) {
		this.dc = dc;
	}
	
	/**
	 * Gets the cuenta.
	 * 
	 * @return the cuenta
	 */
	public long getCuenta() {
		return cuenta;
	}
	
	/**
	 * Sets the cuenta.
	 * 
	 * @param cuenta
	 *            the new cuenta
	 */
	public void setCuenta(long cuenta) {
		this.cuenta = cuenta;
	}

	/**
	 * Gets the titular.
	 * 
	 * @return the titular
	 */
	public UsuarioVO getTitular() {
		return titular;
	}
	
	/**
	 * Sets the titular.
	 * 
	 * @param titular
	 *            the new titular
	 */
	public void setTitular(UsuarioVO titular) {
		this.titular = titular;
	}
	
	/**
	 * Gets the saldo.
	 * 
	 * @return the saldo
	 */
	public double getSaldo() {
		return saldo;
	}
	
	/**
	 * Sets the saldo.
	 * 
	 * @param saldo
	 *            the new saldo
	 */
	public void setSaldo(double saldo) {
		this.saldo = saldo;
	}
	
	/**
	 * Gets the saldo inicial.
	 * 
	 * @return the saldo inicial
	 */
	public double getSaldoInicial() {
		return saldoInicial;
	}
	
	/**
	 * Sets the saldo inicial.
	 * 
	 * @param saldoInicial
	 *            the new saldo inicial
	 */
	public void setSaldoInicial(double saldoInicial) {
		this.saldoInicial = saldoInicial;
	}
	
	/**
	 * Gets the descripcion.
	 * 
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return
				StringUtils.join(
					new String[]{
						StringUtils.leftPad(Integer.toString(entidad), 4, '0'),
						StringUtils.leftPad(Integer.toString(oficina), 4, '0'),
						StringUtils.leftPad(Integer.toString(dc), 2, '0'),
						StringUtils.leftPad(Long.toString(cuenta), 10, '0')
						
					},
					"-");
	}
	
}
