/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.vo;

import java.util.Date;

/**
 * The Class TransferenciaVO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class TransferenciaVO extends BaseVO {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 6961115715836091181L;

	/** The origen. */
	private CuentaVO origen;
	
	/** The destino. */
	private CuentaVO destino;
	
	/** The fecha. */
	private Date fecha;
	
	/** The cantidad. */
	private double cantidad;
	
	/** The saldo restante origen. */
	private double saldoRestanteOrigen;
	
	/** The saldo restante destino. */
	private double saldoRestanteDestino;
	
	/**
	 * Gets the origen.
	 * 
	 * @return the origen
	 */
	public CuentaVO getOrigen() {
		return origen;
	}
	
	/**
	 * Sets the origen.
	 * 
	 * @param origen
	 *            the new origen
	 */
	public void setOrigen(CuentaVO origen) {
		this.origen = origen;
	}
	
	/**
	 * Gets the destino.
	 * 
	 * @return the destino
	 */
	public CuentaVO getDestino() {
		return destino;
	}
	
	/**
	 * Sets the destino.
	 * 
	 * @param destino
	 *            the new destino
	 */
	public void setDestino(CuentaVO destino) {
		this.destino = destino;
	}
	
	/**
	 * Gets the fecha.
	 * 
	 * @return the fecha
	 */
	public Date getFecha() {
		return fecha;
	}
	
	/**
	 * Sets the fecha.
	 * 
	 * @param fecha
	 *            the new fecha
	 */
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}
	
	/**
	 * Gets the cantidad.
	 * 
	 * @return the cantidad
	 */
	public double getCantidad() {
		return cantidad;
	}
	
	/**
	 * Sets the cantidad.
	 * 
	 * @param cantidad
	 *            the new cantidad
	 */
	public void setCantidad(double cantidad) {
		this.cantidad = cantidad;
	}
	
	/**
	 * Gets the saldo restante origen.
	 * 
	 * @return the saldo restante origen
	 */
	public double getSaldoRestanteOrigen() {
		return saldoRestanteOrigen;
	}
	
	/**
	 * Sets the saldo restante origen.
	 * 
	 * @param saldoRestanteOrigen
	 *            the new saldo restante origen
	 */
	public void setSaldoRestanteOrigen(double saldoRestanteOrigen) {
		this.saldoRestanteOrigen = saldoRestanteOrigen;
	}
	
	/**
	 * Gets the saldo restante destino.
	 * 
	 * @return the saldo restante destino
	 */
	public double getSaldoRestanteDestino() {
		return saldoRestanteDestino;
	}
	
	/**
	 * Sets the saldo restante destino.
	 * 
	 * @param saldoRestanteDestino
	 *            the new saldo restante destino
	 */
	public void setSaldoRestanteDestino(double saldoRestanteDestino) {
		this.saldoRestanteDestino = saldoRestanteDestino;
	}
	
}
