/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.results;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletResponse;

import es.uoc.maf.core.Constants;
import es.uoc.maf.core.action.utils.ActionContext;
import es.uoc.maf.core.form.utils.BeanUtils;
import es.uoc.maf.core.result.ResultType;

/**
 * The Class TxtAttachmentResult.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class TxtAttachmentResult implements ResultType {

	/** The action property. */
	private String actionProperty;
	
	/** The filename. */
	private String filename;
	
	/**
	 * Gets the action property.
	 * 
	 * @return the action property
	 */
	public String getActionProperty() {
		return actionProperty;
	}

	/**
	 * Sets the action property.
	 * 
	 * @param actionProperty
	 *            the new action property
	 */
	public void setActionProperty(String actionProperty) {
		this.actionProperty = actionProperty;
	}
	
	/**
	 * Gets the filename.
	 * 
	 * @return the filename
	 */
	public String getFilename() {
		return filename;
	}

	/**
	 * Sets the filename.
	 * 
	 * @param filename
	 *            the new filename
	 */
	public void setFilename(String filename) {
		this.filename = filename;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.result.ResultType#generate(es.uoc.maf.core.action.utils.ActionContext)
	 */
	public void generate(ActionContext actionContext) throws ServletException, IOException {
		HttpServletResponse response = actionContext.getResponse();
		response.reset();
		response.setContentType("text/plain;charset=UTF-8");
		response.setHeader("Content-Disposition", "attachment;filename="+filename);
		Object action = actionContext.getRequest().getAttribute(Constants.ACTION_KEY);
		String contenido;
		try {
			contenido = (String) BeanUtils.getInstance().getProperty(action, actionProperty);
		} catch (Exception e) {
			throw new ServletException(e);
		} 
		response.getWriter().write(contenido);
		response.flushBuffer();
	}

}
