/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.action;

import java.util.List;

import es.uoc.maf.core.action.utils.ActionContext;
import es.uoc.maf.core.form.FormBean;

/**
 * The Interface Action.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface Action {
	
	/**
	 * Gets the action messages.
	 * 
	 * @return the action messages
	 */
	public List<String> getActionMessages();
	
	/**
	 * Gets the action errors.
	 * 
	 * @return the action errors
	 */
	public List<String> getActionErrors();
	
	/**
	 * Gets the action context.
	 * 
	 * @return the action context
	 */
	public ActionContext getActionContext();
	
	/**
	 * Sets the action context.
	 * 
	 * @param actionContext
	 *            the new action context
	 */
	public void setActionContext(ActionContext actionContext);
	
	/**
	 * Gets the form.
	 * 
	 * @return the form
	 */
	public FormBean getForm();
	
	/**
	 * Sets the form.
	 * 
	 * @param form
	 *            the new form
	 */
	public void setForm(FormBean form);
	
	/**
	 * Execute.
	 * 
	 * @return the string
	 */
	public String execute();
}
