/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.config;

import java.util.Map;

import es.uoc.maf.core.action.Action;

/**
 * The Interface ActionConfig.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface ActionConfig {

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName();
	
	/**
	 * Gets the action class.
	 * 
	 * @return the action class
	 */
	public Class<Action> getActionClass();
	
	/**
	 * Gets the form name.
	 * 
	 * @return the form name
	 */
	public String getFormName();
	
	/**
	 * Gets the result types config.
	 * 
	 * @return the result types config
	 */
	public Map<String, ResultTypeConfig> getResultTypesConfig();
	
	/**
	 * Gets the errors config.
	 * 
	 * @return the errors config
	 */
	public Map<Class<Throwable>, ErrorHandlerConfig> getErrorsConfig();
}
