/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.config;

import java.util.Map;

/**
 * The Interface Configuration.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface Configuration {
	
	/**
	 * Gets the global results.
	 * 
	 * @return the global results
	 */
	public Map<String, ResultTypeConfig> getGlobalResults();
	
	/**
	 * Gets the global errors.
	 * 
	 * @return the global errors
	 */
	public Map<Class<Throwable>, ErrorHandlerConfig> getGlobalErrors();
	
	/**
	 * Gets the form beans.
	 * 
	 * @return the form beans
	 */
	public Map<String, FormBeanConfig> getFormBeans();
	
	/**
	 * Gets the action mappings.
	 * 
	 * @return the action mappings
	 */
	public Map<String, ActionConfig> getActionMappings();
}
