/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.config;

import java.util.Map;

import es.uoc.maf.core.error.ErrorHandler;

/**
 * The Interface ErrorHandlerConfig.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface ErrorHandlerConfig {

	/**
	 * Gets the error type class.
	 * 
	 * @return the error type class
	 */
	public Class<Throwable> getErrorTypeClass();
	
	/**
	 * Gets the error handler class.
	 * 
	 * @return the error handler class
	 */
	public Class<ErrorHandler> getErrorHandlerClass();
	
	/**
	 * Gets the parameters.
	 * 
	 * @return the parameters
	 */
	public Map<String, String> getParameters();
}
