/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.config;

import java.util.Map;

import es.uoc.maf.core.result.ResultType;

/**
 * The Interface ResultTypeConfig.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface ResultTypeConfig {

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName();
	
	/**
	 * Gets the result type class.
	 * 
	 * @return the result type class
	 */
	public Class<ResultType> getResultTypeClass();
	
	/**
	 * Gets the parameters.
	 * 
	 * @return the parameters
	 */
	public Map<String, String> getParameters();
}
