/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

import es.uoc.maf.core.action.Action;

/**
 * The Class ActionCreationException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@SuppressWarnings("serial")
public class ActionCreationException extends CoreException {

	/**
	 * Instantiates a new action creation exception.
	 * 
	 * @param actionClass
	 *            the action class
	 * @param e
	 *            the e
	 */
	public ActionCreationException(Class<Action> actionClass, Throwable e) {
		super("Error creando instancia de "+actionClass,e);
	}

}
