/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

/**
 * The Class ActionNotFound.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class ActionNotFound extends CoreException {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -3648718833099064580L;
	
	/** The action path. */
	private String actionPath;
	
	/**
	 * Instantiates a new action not found.
	 * 
	 * @param actionPath
	 *            the action path
	 */
	public ActionNotFound(String actionPath) {
		super("Accin no encontrada: "+actionPath);
		this.actionPath = actionPath;
	}

	/**
	 * Gets the action path.
	 * 
	 * @return the action path
	 */
	public String getActionPath() {
		return actionPath;
	}
	
}
