/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

import es.uoc.maf.core.error.ErrorHandler;

/**
 * The Class ErrorHandlerCreationException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class ErrorHandlerCreationException extends CoreException  {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 2910898998801639135L;

	/**
	 * Instantiates a new error handler creation exception.
	 * 
	 * @param errorHandlerClass
	 *            the error handler class
	 * @param t
	 *            the t
	 */
	public ErrorHandlerCreationException(Class<ErrorHandler> errorHandlerClass, Throwable t) {
		super("Error creando resultado de tipo '"+errorHandlerClass+"': "+t.getLocalizedMessage(),t);
	}
	
}
