/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

import es.uoc.maf.core.form.FormBean;

/**
 * The Class FormBeanCreationException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@SuppressWarnings("serial")
public class FormBeanCreationException extends CoreException {

	/**
	 * Instantiates a new form bean creation exception.
	 * 
	 * @param actionFormClass
	 *            the action form class
	 * @param t
	 *            the throwable
	 */
	public FormBeanCreationException(Class<FormBean> actionFormClass, Throwable t) {
		super("Error creando formulario de tipo "+actionFormClass+(t == null ? "": ": "+t.getMessage()),t);
	}

}
