/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

/**
 * The Class FormNotFoundException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class FormNotFoundException extends CoreException {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 3887589935147451590L;

	/** The form name. */
	private String formName;

	/**
	 * Instantiates a new form not found exception.
	 * 
	 * @param formName
	 *            the form name
	 */
	public FormNotFoundException(String formName) {
		super("Formulario no encontrado: "+formName);
		this.formName = formName;
	}

	/**
	 * Gets the form name.
	 * 
	 * @return the form name
	 */
	public String getFormName() {
		return formName;
	}
	
}
