/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

/**
 * The Class NoResultException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class NoResultException extends CoreException {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 6478534826568784775L;

	/** The result. */
	private String result;
	
	/** The action path. */
	private String actionPath;
	
	/**
	 * Instantiates a new no result exception.
	 * 
	 * @param result
	 *            the result
	 * @param actionPath
	 *            the action path
	 */
	public NoResultException(String result, String actionPath) {
		super("Resultado '"+result+"' no encontrado para accin '"+actionPath+"'");
		this.result = result;
		this.actionPath = actionPath;
	}

	/**
	 * Gets the result.
	 * 
	 * @return the result
	 */
	public String getResult() {
		return result;
	}

	/**
	 * Gets the action path.
	 * 
	 * @return the action path
	 */
	public String getActionPath() {
		return actionPath;
	}
	
}
