/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

import es.uoc.maf.core.result.ResultType;

/**
 * The Class ResultCreationException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class ResultCreationException extends CoreException  {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -8623558385291007796L;
	
	/**
	 * Instantiates a new result creation exception.
	 * 
	 * @param resultTypeClass
	 *            the result type class
	 * @param t
	 *            the throwable
	 */
	public ResultCreationException(Class<ResultType> resultTypeClass, Throwable t) {
		super("Error creando resultado de tipo '"+resultTypeClass+"': "+t.getLocalizedMessage(),t);
	}
	
}
