/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.form;

import java.util.List;

/**
 * The Interface FormBean.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface FormBean {

	/**
	 * Adds the error.
	 * 
	 * @param error
	 *            the error
	 */
	public void addError(FormError error);
	
	/**
	 * Gets the form errors.
	 * 
	 * @return the form errors
	 */
	public List<FormError> getFormErrors();
	
	/**
	 * Checks for errors.
	 * 
	 * @return true, if successful
	 */
	public boolean hasErrors();
	
	/**
	 * Reset.
	 */
	public void reset();
	
	/**
	 * Validate.
	 */
	public void validate();;
}
