/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.form;

/**
 * The Class FormError.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class FormError {
	
	/** The property name. */
	private String propertyName;
	
	/** The error message. */
	private String errorMessage;

	/**
	 * Instantiates a new form error.
	 * 
	 * @param propertyName
	 *            the property name
	 * @param errorMessage
	 *            the error message
	 */
	public FormError(String propertyName, String errorMessage) {
		this.propertyName = propertyName;
		this.errorMessage = errorMessage;
	}

	/**
	 * Gets the property name.
	 * 
	 * @return the property name
	 */
	public String getPropertyName() {
		return propertyName;
	}

	/**
	 * Gets the error message.
	 * 
	 * @return the error message
	 */
	public String getErrorMessage() {
		return errorMessage;
	}

}
