/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.jsp.taglib;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * The Class ActionErrors.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class ActionErrors extends MAFTagSupport {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(ActionErrors.class);
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -745724440916085615L;

	/* (non-Javadoc)
	 * @see es.uoc.maf.jsp.taglib.MAFTagSupport#getMensaje()
	 */
	@Override
	protected String getMensaje() {
		LOG.debug("ActionErrorsTag...");
		String mensaje = StringUtils.EMPTY;
		if (getAction() != null && getAction().getActionErrors() != null && !getAction().getActionErrors().isEmpty()) {
			StringBuffer sb = new StringBuffer("<ul>");
			for (String error : getAction().getActionErrors()) {
				sb.append("<li>").append(error).append("</li>");
			}
			sb.append("</ul>");
			mensaje = sb.toString();
		}
		return mensaje;
	}

}
