/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.jsp.taglib;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import es.uoc.maf.core.form.utils.BeanUtils;

/**
 * The Class ActionValue.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@SuppressWarnings("serial")
public class ActionValue extends MAFTagSupport {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(ActionValue.class);
	
	/** The property. */
	private String property;

	/**
	 * Sets the property.
	 * 
	 * @param property
	 *            the new property
	 */
	public void setProperty(String property) {
		this.property = property;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.jsp.taglib.MAFTagSupport#getMensaje()
	 */
	@Override
	protected String getMensaje() {
		Object obj = null;
		try {
			obj = BeanUtils.getInstance().getProperty(getAction(), this.property);
		} catch (Exception e) {
			LOG.debug("Error obteniendo valor de propiedad de action: {}",this.property,e);
		} 
		return obj == null ? "" : obj.toString();
	}
}
