/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.jsp.taglib;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import es.uoc.maf.core.form.FormError;


/**
 * The Class FormErrors.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class FormErrors extends MAFTagSupport {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(FormErrors.class);
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -745724440916085615L;

	/* (non-Javadoc)
	 * @see es.uoc.maf.jsp.taglib.MAFTagSupport#getMensaje()
	 */
	@Override
	protected String getMensaje() {
		LOG.debug("FormErrorsTag...");
		String mensaje = StringUtils.EMPTY;
		if (getAction() != null && getAction().getForm() != null && getAction().getForm().hasErrors()) {
			StringBuffer sb = new StringBuffer("<ul>");
			for (FormError error : getAction().getForm().getFormErrors()) {
				sb.append("<li>").append(error.getErrorMessage()).append("</li>");
			}
			sb.append("</ul>");
			mensaje = sb.toString();
		}
		return mensaje;
	}

}
