/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.jsp.taglib;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import es.uoc.maf.core.Constants;
import es.uoc.maf.core.action.Action;
import es.uoc.maf.core.action.utils.ActionContext;

/**
 * The Class MAFTagSupport.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@SuppressWarnings("serial")
public class MAFTagSupport extends TagSupport {

	/**
	 * Gets the action context.
	 * 
	 * @return the action context
	 */
	protected ActionContext getActionContext() {
		return (ActionContext)pageContext.getRequest().getAttribute(Constants.ACTION_CONTEXT_KEY);
	}
	
	/**
	 * Gets the action.
	 * 
	 * @return the action
	 */
	protected Action getAction() {
		return (Action) pageContext.getRequest().getAttribute(Constants.ACTION_KEY);
	}
	
	/* (non-Javadoc)
	 * @see javax.servlet.jsp.tagext.TagSupport#doEndTag()
	 */
	@Override
	public int doEndTag() throws JspException {
		return TagSupport.EVAL_PAGE;
	}
	
	/* (non-Javadoc)
	 * @see javax.servlet.jsp.tagext.TagSupport#doStartTag()
	 */
	@Override
	public int doStartTag() throws JspException {
		try {
			pageContext.getOut().write(getMensaje());
		} catch (IOException e) {
			throw new JspException(e.getLocalizedMessage(), e);
		}
		return TagSupport.SKIP_BODY;
	}

	/**
	 * Gets the mensaje.
	 * 
	 * @return the mensaje
	 */
	protected String getMensaje() {
		return "";
	}
}
