/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.jsp.taglib;

import java.util.Locale;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import es.uoc.maf.core.locale.I18N;

/**
 * The Class Messages.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@SuppressWarnings("serial")
public class Messages extends MAFTagSupport {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(Messages.class);
	
	/** The key. */
	private String key;
	
	/** The resource. */
	private String resource;

	/**
	 * Sets the key.
	 * 
	 * @param key
	 *            the new key
	 */
	public void setKey(String key) {
		this.key = key;
	}

	/**
	 * Sets the resource.
	 * 
	 * @param resource
	 *            the new resource
	 */
	public void setResource(String resource) {
		this.resource = resource;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.jsp.taglib.MAFTagSupport#getMensaje()
	 */
	@Override
	protected String getMensaje() {
		LOG.debug("Recuperando mensaje de '{}' con clave '{}'",new Object[]{resource,key});
		Locale locale = pageContext.getRequest().getLocale();
		LOG.debug("Idioma de mensajes: {}", locale);
		String mensaje = I18N.getString(resource, key, locale);
		LOG.debug("Mensaje recuperado: {}",mensaje);
		return mensaje;
	}
	
}
