/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import es.uoc.maf.core.Constants;

/**
 * The Class JAXBActionConfigListWrapper.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
class JAXBActionConfigListWrapper {

	/** The actions list. */
	@XmlElement(name="action", namespace=Constants.MAF_NAMESPACE)
	private List<JAXBActionConfig> actionsList;

	/**
	 * Gets the actions.
	 * 
	 * @return the actions
	 */
	public List<JAXBActionConfig> getActions() {
		return actionsList;
	}

	/**
	 * Sets the actions.
	 * 
	 * @param actions
	 *            the new actions
	 */
	public void setActions(List<JAXBActionConfig> actions) {
		this.actionsList = actions;
	}

}
