/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import javax.xml.bind.annotation.adapters.XmlAdapter;

/**
 * The Class JAXBActionMappingsAdapter.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
class JAXBActionMappingsAdapter extends XmlAdapter<JAXBActionConfigListWrapper, Map<String, JAXBActionConfig>> {

	/* (non-Javadoc)
	 * @see javax.xml.bind.annotation.adapters.XmlAdapter#marshal(java.lang.Object)
	 */
	@Override
	public JAXBActionConfigListWrapper marshal(Map<String, JAXBActionConfig> actionConfigMappings) throws Exception {
		JAXBActionConfigListWrapper wrapper = new JAXBActionConfigListWrapper();
		wrapper.setActions(new ArrayList<JAXBActionConfig>(actionConfigMappings.values()));
		return wrapper;
	}

	/* (non-Javadoc)
	 * @see javax.xml.bind.annotation.adapters.XmlAdapter#unmarshal(java.lang.Object)
	 */
	@Override
	public Map<String, JAXBActionConfig> unmarshal(JAXBActionConfigListWrapper arg0)	throws Exception {
		Map<String, JAXBActionConfig> result = new HashMap<String, JAXBActionConfig>(arg0 == null || arg0.getActions() == null? 0 : arg0.getActions().size());
		if (arg0 != null && arg0.getActions() != null) {
			for (JAXBActionConfig ac : arg0.getActions()) {
				result.put(ac.getName(), ac);
			}
		}
		return result;
	}

}
