/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import es.uoc.maf.core.Constants;

/**
 * The Class JAXBErrorHandlerConfigListWrapper.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
class JAXBErrorHandlerConfigListWrapper {

	/** The global errorss list. */
	@XmlElement(name="error",namespace=Constants.MAF_NAMESPACE)
	private List<JAXBErrorHandlerConfig> globalErrorssList;

	/**
	 * Gets the global errors.
	 * 
	 * @return the global errors
	 */
	public List<JAXBErrorHandlerConfig> getGlobalErrors() {
		return globalErrorssList;
	}

	/**
	 * Sets the global errors.
	 * 
	 * @param globalErrorssList
	 *            the new global errors
	 */
	public void setGlobalErrors(List<JAXBErrorHandlerConfig> globalErrorssList) {
		this.globalErrorssList = globalErrorssList;
	}
	
}
