/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import javax.xml.bind.annotation.adapters.XmlAdapter;

/**
 * The Class JAXBFormBeanAdapter.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
class JAXBFormBeanAdapter extends XmlAdapter<JAXBFormBeanListWrapper, Map<String, JAXBFormBeanConfig>> {

	/* (non-Javadoc)
	 * @see javax.xml.bind.annotation.adapters.XmlAdapter#marshal(java.lang.Object)
	 */
	@Override
	public JAXBFormBeanListWrapper marshal(Map<String, JAXBFormBeanConfig> actionConfigMappings) throws Exception {
		JAXBFormBeanListWrapper wrapper = new JAXBFormBeanListWrapper();
		wrapper.setActionForms(new ArrayList<JAXBFormBeanConfig>(actionConfigMappings.values()));
		return wrapper;
	}

	/* (non-Javadoc)
	 * @see javax.xml.bind.annotation.adapters.XmlAdapter#unmarshal(java.lang.Object)
	 */
	@Override
	public Map<String, JAXBFormBeanConfig> unmarshal(JAXBFormBeanListWrapper arg0)	throws Exception {
		Map<String, JAXBFormBeanConfig> result = new HashMap<String, JAXBFormBeanConfig>(arg0 == null || arg0.getActionForms() == null? 0 : arg0.getActionForms().size());
		if (arg0 != null && arg0.getActionForms() != null) {
			for (JAXBFormBeanConfig ac : arg0.getActionForms()) {
				result.put(ac.getName(), ac);
			}
		}
		return result;
	}

}
