/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import es.uoc.maf.core.config.FormBeanConfig;
import es.uoc.maf.core.form.FormBean;

/**
 * The Class JAXBFormBeanConfig.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class JAXBFormBeanConfig implements FormBeanConfig {

	/** The name. */
	@XmlAttribute(name="name", required=true)
	private String name;
	
	/** The action form class. */
	@XmlJavaTypeAdapter(value=JAXBFormBeanClassAdapter.class)
	@XmlAttribute(name="class", required=true)
	private Class<FormBean> actionFormClass;
	
	/* (non-Javadoc)
	 * @see es.uoc.maf.core.config.FormBeanConfig#getName()
	 */
	public String getName() {
		return name;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.config.FormBeanConfig#getFormClass()
	 */
	public Class<FormBean> getFormClass() {
		return actionFormClass;
	}

}
