/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import es.uoc.maf.core.Constants;

/**
 * The Class JAXBFormBeanListWrapper.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
class JAXBFormBeanListWrapper {

	/** The action forms list. */
	@XmlElement(name="form", namespace=Constants.MAF_NAMESPACE)
	private List<JAXBFormBeanConfig> actionFormsList;

	/**
	 * Gets the action forms.
	 * 
	 * @return the action forms
	 */
	public List<JAXBFormBeanConfig> getActionForms() {
		return actionFormsList;
	}

	/**
	 * Sets the action forms.
	 * 
	 * @param JAXBActionFormConfig
	 *            the new action forms
	 */
	public void setActionForms(List<JAXBFormBeanConfig> JAXBActionFormConfig) {
		this.actionFormsList = JAXBActionFormConfig;
	}
	
}
