/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;

/**
 * The Class JAXBParameter.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
class JAXBParameter {

	/** The name. */
	@XmlAttribute(name="name",required=true)
	private String name;
	
	/** The value. */
	@XmlAttribute(name="value",required=true)
	private String value;

	/**
	 * Instantiates a new jAXB parameter.
	 */
	public JAXBParameter() {
	}

	/**
	 * Instantiates a new jAXB parameter.
	 * 
	 * @param name
	 *            the name
	 * @param value
	 *            the value
	 */
	public JAXBParameter(String name, String value) {
		this.name = name;
		this.value = value;
	}

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name.
	 * 
	 * @param name
	 *            the new name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the value.
	 * 
	 * @return the value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Sets the value.
	 * 
	 * @param value
	 *            the new value
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "JAXBParameter [name=" + name + ", value=" + value + "]";
	}
	
}
