/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import org.slf4j.LoggerFactory;

import es.uoc.maf.core.Constants;

/**
 * The Class JAXBParameterListWrapper.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
class JAXBParameterListWrapper {

	/** The parameters list. */
	@XmlElement(name="parameter",namespace=Constants.MAF_NAMESPACE)
	private List<JAXBParameter> parametersList;

	/**
	 * Gets the parameters list.
	 * 
	 * @return the parameters list
	 */
	public List<JAXBParameter> getParametersList() {
		return parametersList;
	}

	/**
	 * Sets the parameters list.
	 * 
	 * @param parameters
	 *            the new parameters list
	 */
	public void setParametersList(List<JAXBParameter> parameters) {
		LoggerFactory.getLogger(JAXBParameterListWrapper.class).debug("Parameters: {}",parameters);
		this.parametersList = parameters;
	}

}
