/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.config.jaxb.impl;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import es.uoc.maf.core.Constants;

/**
 * The Class JAXBResultTypeConfigListWrapper.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
@XmlAccessorType(XmlAccessType.FIELD)
class JAXBResultTypeConfigListWrapper {

	/** The global results list. */
	@XmlElement(name="result",namespace=Constants.MAF_NAMESPACE)
	private List<JAXBResultTypeConfig> globalResultsList;

	/**
	 * Gets the global results.
	 * 
	 * @return the global results
	 */
	public List<JAXBResultTypeConfig> getGlobalResults() {
		return globalResultsList;
	}

	/**
	 * Sets the global results.
	 * 
	 * @param globalResultsList
	 *            the new global results
	 */
	public void setGlobalResults(List<JAXBResultTypeConfig> globalResultsList) {
		this.globalResultsList = globalResultsList;
	}
	
}
