/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.form;

import java.util.ArrayList;
import java.util.List;

import es.uoc.maf.core.form.FormBean;
import es.uoc.maf.core.form.FormError;

/**
 * The Class BaseFormBean.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class BaseFormBean implements FormBean {
	
	/** The errors. */
	private List<FormError> errors = new ArrayList<FormError>();
	
	/* (non-Javadoc)
	 * @see es.uoc.maf.core.form.FormBean#addError(es.uoc.maf.core.form.FormError)
	 */
	public void addError(FormError error) {
		errors.add(error);
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.form.FormBean#hasErrors()
	 */
	public boolean hasErrors() {
		return !errors.isEmpty();
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.form.FormBean#reset()
	 */
	public void reset() {
		errors.clear();
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.form.FormBean#validate()
	 */
	public void validate() {
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.form.FormBean#getFormErrors()
	 */
	public List<FormError> getFormErrors() {
		return errors;
	}

}
