/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.framework.results;

import java.io.IOException;

import javax.servlet.ServletException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import es.uoc.maf.core.Constants;
import es.uoc.maf.core.action.utils.ActionContext;
import es.uoc.maf.core.result.ResultType;

/**
 * The Class ForwardResultType.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class ForwardResultType implements ResultType {
	
	/** The Constant LOG. */
	private static final Logger LOG = LoggerFactory.getLogger(ForwardResultType.class);
	
	/** The location. */
	private String location;
	
	/**
	 * Gets the location.
	 * 
	 * @return the location
	 */
	public String getLocation() {
		return location;
	}

	/**
	 * Sets the location.
	 * 
	 * @param location
	 *            the new location
	 */
	public void setLocation(String location) {
		LOG.debug("setLocation({})...",location);
		this.location = location;
	}

	/* (non-Javadoc)
	 * @see es.uoc.maf.core.result.ResultType#generate(es.uoc.maf.core.action.utils.ActionContext)
	 */
	public void generate(ActionContext actionContext) throws ServletException, IOException {
		LOG.debug("Reenviando a [{}]",this.location);
		// Guardamos el contexto de la accion en la request antes de reenviar
		actionContext.getRequest().setAttribute(Constants.ACTION_CONTEXT_KEY, actionContext);
		actionContext.getRequest().getRequestDispatcher(getLocation()).forward(actionContext.getRequest(), actionContext.getResponse());
	}

}
